#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'searchproviderdlg_ui.ui'
**
** Created: 2012-11-09T11:11:00
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "searchproviderdlg_ui.h"

#include <qvariant.h>
#include <klineedit.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SearchProviderDlgUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SearchProviderDlgUI::SearchProviderDlgUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SearchProviderDlgUI" );
    SearchProviderDlgUILayout = new QGridLayout( this, 1, 1, 0, 6, "SearchProviderDlgUILayout"); 

    leName = new KLineEdit( this, "leName" );

    SearchProviderDlgUILayout->addWidget( leName, 1, 0 );

    lbCharset = new QLabel( this, "lbCharset" );

    SearchProviderDlgUILayout->addWidget( lbCharset, 6, 0 );

    lbQuery = new QLabel( this, "lbQuery" );

    SearchProviderDlgUILayout->addWidget( lbQuery, 2, 0 );

    lbName = new QLabel( this, "lbName" );

    SearchProviderDlgUILayout->addWidget( lbName, 0, 0 );

    leShortcut = new KLineEdit( this, "leShortcut" );

    SearchProviderDlgUILayout->addWidget( leShortcut, 5, 0 );

    lbShortcut = new QLabel( this, "lbShortcut" );

    SearchProviderDlgUILayout->addWidget( lbShortcut, 4, 0 );

    leQuery = new KLineEdit( this, "leQuery" );

    SearchProviderDlgUILayout->addWidget( leQuery, 3, 0 );

    cbCharset = new KComboBox( FALSE, this, "cbCharset" );

    SearchProviderDlgUILayout->addWidget( cbCharset, 7, 0 );
    languageChange();
    resize( QSize(399, 206).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( leName, leQuery );
    setTabOrder( leQuery, leShortcut );
    setTabOrder( leShortcut, cbCharset );

    // buddies
    lbCharset->setBuddy( cbCharset );
    lbQuery->setBuddy( leQuery );
    lbName->setBuddy( leName );
    lbShortcut->setBuddy( leShortcut );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SearchProviderDlgUI::~SearchProviderDlgUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SearchProviderDlgUI::languageChange()
{
    QWhatsThis::add( leName, tr2i18n( "Enter the human readable name of the search provider here." ) );
    lbCharset->setText( tr2i18n( "&Charset:" ) );
    QWhatsThis::add( lbCharset, tr2i18n( "Select the character set that will be used to encode your search query" ) );
    lbQuery->setText( tr2i18n( "Search &URI:" ) );
    QWhatsThis::add( lbQuery, tr2i18n( "<qt>\n"
"Enter the URI that is used to do a search on the search engine here.<br/>The whole text to be searched for can be specified as \\{@} or \\{0}.<br/>\n"
"Recommended is \\{@}, since it removes all query variables (name=value) from the resulting string whereas \\{0} will be substituted with the unmodified query string.<br/>You can use \\{1} ... \\{n} to specify certain words from the query and \\{name} to specify a value given by 'name=value' in the user query.<br/>In addition it is possible to specify multiple references (names, numbers and strings) at once (\\{name1,name2,...,\"string\"}).<br/>The first matching value (from the left) will be used as substitution value for the resulting URI.<br/>A quoted string can be used as default value if nothing matches from the left of the reference list.\n"
"</qt>" ) );
    lbName->setText( tr2i18n( "Search &provider name:" ) );
    QWhatsThis::add( lbName, tr2i18n( "Enter the human readable name of the search provider here." ) );
    QWhatsThis::add( leShortcut, tr2i18n( "<qt>\n"
"The shortcuts entered here can be used as a pseudo-URI scheme in KDE. For example, the shortcut <b>av</b> can be used as in <b>av</b>:<b>my search</b>\n"
"</qt>" ) );
    lbShortcut->setText( tr2i18n( "UR&I shortcuts:" ) );
    QWhatsThis::add( lbShortcut, tr2i18n( "<qt>\n"
"The shortcuts entered here can be used as a pseudo-URI scheme in KDE. For example, the shortcut <b>av</b> can be used as in <b>av</b>:<b>my search</b>\n"
"</qt>" ) );
    QWhatsThis::add( leQuery, tr2i18n( "<qt>\n"
"Enter the URI that is used to do a search on the search engine here.<br/>The whole text to be searched for can be specified as \\{@} or \\{0}.<br/>\n"
"Recommended is \\{@}, since it removes all query variables (name=value) from the resulting string whereas \\{0} will be substituted with the unmodified query string.<br/>You can use \\{1} ... \\{n} to specify certain words from the query and \\{name} to specify a value given by 'name=value' in the user query.<br/>In addition it is possible to specify multiple references (names, numbers and strings) at once (\\{name1,name2,...,\"string\"}).<br/>The first matching value (from the left) will be used as substitution value for the resulting URI.<br/>A quoted string can be used as default value if nothing matches from the left of the reference list.\n"
"</qt>" ) );
    QWhatsThis::add( cbCharset, tr2i18n( "Select the character set that will be used to encode your search query." ) );
}

/****************************************************************************
** SearchProviderDlgUI meta object code from reading C++ file 'searchproviderdlg_ui.h'
**
** Created: Fri Nov 9 11:11:00 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "searchproviderdlg_ui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *SearchProviderDlgUI::className() const
{
    return "SearchProviderDlgUI";
}

QMetaObject *SearchProviderDlgUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_SearchProviderDlgUI( "SearchProviderDlgUI", &SearchProviderDlgUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString SearchProviderDlgUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SearchProviderDlgUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString SearchProviderDlgUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SearchProviderDlgUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* SearchProviderDlgUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"SearchProviderDlgUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_SearchProviderDlgUI.setMetaObject( metaObj );
    return metaObj;
}

void* SearchProviderDlgUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SearchProviderDlgUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool SearchProviderDlgUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool SearchProviderDlgUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool SearchProviderDlgUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool SearchProviderDlgUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
